#ifndef _MINICDDEFINES_H
#define _MINICDDEFINES_H

#include <SupportDefs.h>

void error_message	(const char * text, int32 status);

#define	MINICD_APP_NAME					"MiniCD"
#define	MINICD_APP_VERSION				"1.0"
#define	MINICD_APP_SIGNATURE			"application/x-vnd.kirilla-minicd"

#define	MINICD_LOOPER					"MiniCD-Looper"
#define	MINICD_POLLER					"MiniCD-DevPoller"

#define	MINICD_REPLICANT_VIEW_NAME		"MiniCD-View"
#define	MINICD_REPLICANT_CLASS			"DeskbarReplicant"

#define MINICD_SETTINGS_FILENAME		"MiniCD"
#define MINICD_SETTINGS_FOLDER			"Kirilla"

#define	MINICD_GOTO_WEBSITE				'bwww'

enum enum_media_state 
{
	e_no_media,
	e_media_stopped,
	e_media_paused,
	e_media_playing,
	e_media_skipping
};

#endif 
