#ifndef _MINICDWORKER_H
#define _MINICDWORKER_H

#include <be/KernelKit.h> 
#include <Looper.h>
#include <Message.h>
#include <Volume.h>

#include "GenericThread.h"

class MiniCDLooper;

class MiniCDWorker : public GenericThread
{
public:
					MiniCDWorker		(MiniCDLooper * a_looper);
					~MiniCDWorker		();

private:

		virtual status_t    ThreadStartup			(void);
		virtual status_t	ExecuteUnit				(void);
		virtual status_t	ThreadShutdown			(void);
		
		virtual void		ThreadStartupFailed		(status_t a_status);
		virtual void		ExecuteUnitFailed		(status_t a_status);
		virtual void		ThreadShutdownFailed	(status_t a_status);
	
		MiniCDLooper *	m_master;
};

#endif

